Bug 21661 - [Update Request] youtube-dl is no longer effective
Summary: [Update Request] youtube-dl is no longer effective
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6...
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2017-09-04 05:08 CEST by William Kenney
Modified: 2017-09-07 11:08 CEST (History)
4 users (show)

See Also:
Source RPM: youtube-dl-2017.05.29-1.mga6.noarch.rpm
CVE:
Status comment:


Attachments
youtube-dl test script file (397 bytes, text/plain)
2017-09-04 23:33 CEST, William Kenney
Details

Description William Kenney 2017-09-04 05:08:54 CEST
Description of problem:

youtube-dl is no longer effective. Also I believe this is part of a wider crackdown by Mozilla on many add-ons and applications that download videos from YouTube. I believe this has all happened in the last few weeks.
Comment 1 Marja Van Waes 2017-09-04 17:27:34 CEST
daviddavid pushed youtube-dl-2017.09.02-1.mga7 to updates_testing within an hour after you filed this report.

You might already want to test it.

Assignee: bugsquad => geiger.david68210
CC: (none) => marja11

Comment 2 William Kenney 2017-09-04 17:57:18 CEST
Thanks Marja. I'll test it today.
Comment 3 David GEIGER 2017-09-04 18:22:39 CEST
Assigning to QA,

Advisory:
=============================

Our current release is 2017.05.29 and needs now to be updated.
This update fixes bugs/increases compatibility with supported online video platforms and adds support for additional such platforms.


Packages in 5/core/updates_testing:
========================
youtube-dl-2017.09.02-1.mga5.noarch.rpm

Packages in 5/core/updates_testing:
========================
youtube-dl-2017.09.02-1.mga6.noarch.rpm


Source RPM:
========================
youtube-dl-2017.09.02-1.mga5.src.rpm
youtube-dl-2017.09.02-1.mga6.src.rpm

Summary: youtube-dl is no longer effective => [Update Request] youtube-dl is no longer effective
Assignee: geiger.david68210 => qa-bugs

Comment 4 Len Lawrence 2017-09-04 21:13:07 CEST
mga6  x86_64

Update installed.

Downloaded three SciFi movies and an HD documentary from Youtube.  They played fine with vlc.

64-bits OK.

CC: (none) => tarazed25

Len Lawrence 2017-09-04 21:13:24 CEST

Whiteboard: (none) => MGA6-64-OK

Comment 5 Len Lawrence 2017-09-04 21:15:35 CEST
Updated youtube-dl on mga5::x86_64.
Downloaded a scifi movie and a one minute mp4 clip and both played fine with vlc.
Len Lawrence 2017-09-04 21:15:50 CEST

Whiteboard: MGA6-64-OK => MGA6-64-OK MGA5-64-OK

Comment 6 William Kenney 2017-09-04 23:33:29 CEST
Created attachment 9654 [details]
youtube-dl test script file
Comment 7 William Kenney 2017-09-04 23:35:21 CEST
In VirtualBox, M6, Plasma, 64-bit

Package(s) under test:
youtube-dl

default install of youtube-dl

[root@localhost wilcal]# urpmi youtube-dl
Package youtube-dl-2017.09.02-1.mga6.noarch is already installed

My attached executable script file downloads four videos,
two different formats, all decent quality from 3 different sites.
Download time is logged in download_time.txt file and should take
under 5-minutes. I suggest executing this in a terminal and watching
for funky things going on or errors. This time it worked fine on all
four files. Script will have to be modified as time goes on as all
three sites move videos around and any or all of these four may,
or may not, be there.
Comment 8 William Kenney 2017-09-04 23:56:43 CEST
In VirtualBox, M6, Plasma, 32-bit

Package(s) under test:
youtube-dl

install youtube-dl from updates_testing

[root@localhost Videos]# urpmi youtube-dl
Package youtube-dl-2017.09.02-1.mga6.noarch is already installed

Script file downloads four videos, two different formats,
all decent quality from 3 different sites. Download time is logged
in download_time.txt file and should take under 5-minutes.
This time it worked fine on all four files.

Whiteboard: MGA6-64-OK MGA5-64-OK => MGA6-32-OK MGA6-64-OK MGA5-64-OK

Comment 9 William Kenney 2017-09-05 00:34:55 CEST
In VirtualBox, M5.1, KDE, 54-bit

Package(s) under test:
youtube-dl

install youtube-dl from updates_testing

[root@localhost Videos]# urpmi youtube-dl
Package youtube-dl-2017.09.02-1.mga5.noarch is already installed

Script file downloads four videos, two different formats,
all decent quality from 3 different sites. Download time is logged
in download_time.txt file and should take under 5-minutes.
This time it worked fine on all four files.
William Kenney 2017-09-05 00:35:31 CEST

Whiteboard: MGA6-32-OK MGA6-64-OK MGA5-64-OK => MGA5-64-OK MGA6-32-OK MGA6-64-OK

Comment 10 William Kenney 2017-09-05 00:52:01 CEST
In VirtualBox, M5.1, KDE, 32-bit

Package(s) under test:
youtube-dl

install youtube-dl from updates_testing

[root@localhost wilcal]# urpmi youtube-dl
Package youtube-dl-2017.09.02-1.mga5.noarch is already installed

Script file downloads four videos, two different formats,
all decent quality from 3 different sites. Download time is logged
in download_time.txt file and should take under 5-minutes.
This time it worked fine on all four files.

Whiteboard: MGA5-64-OK MGA6-32-OK MGA6-64-OK => MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6-64-OK

Comment 11 William Kenney 2017-09-05 00:53:38 CEST
This update works fine.
Testing complete for MGA5 & MGA6, 32-bit & 64-bit
Validating the update. Needs and Advisory.
Could someone from the sysadmin team push to updates.
Thanks

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 12 Lewis Smith 2017-09-05 10:16:56 CEST
A typo about Mageia releases in comment 3; the update seems to cover 5 & 6. So I added MGA5TOO to whiteboard.
@Bill : did you overlook that Len had done x64 both releases? I doubt you needed to repeat those. BTAIM thanks for your comprehensive tests.
Advisory added from Comment 3.

Whiteboard: MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6-64-OK => MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6-64-OK MGA5TOO advisory
CC: (none) => lewyssmith

Comment 13 William Kenney 2017-09-05 13:20:52 CEST
(In reply to Lewis Smith from comment #12)

> @Bill : did you overlook that Len had done x64 both releases? I doubt you
> needed to repeat those. BTAIM thanks for your comprehensive tests.

I needed to make sure the new version worked on all three of these sites and the two different file formats. YouTube and youtube-dl et al are kinda at war. This won't be the last of it.
Comment 14 Samuel Verschelde 2017-09-06 15:11:05 CEST
Moving 'advisory' from whiteboard to keywords now that madb has been updated to handle that keyword.

Keywords: (none) => advisory
Whiteboard: MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6-64-OK MGA5TOO advisory => MGA5-32-OK MGA5-64-OK MGA6-32-OK MGA6-64-OK MGA5TOO

Comment 15 Mageia Robot 2017-09-07 11:08:06 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0078.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.